## Loading packages
##*******************************************************************************************
source("script - pavoine.R") 
library(ade4)
library(ape)
library(adiv)

## Loading data
##********************************************************************************************
tree <- read.tree("tree_pyron_112_species")

atributes <- read.csv("reproductive_modes_total.csv", header = T, row.names = 1, sep = ";")
head(atributes)


# matching sequence of species names between tree and atibutes
atribute_ord <- atributes[match(tree$tip.label,rownames(atributes)),]
head(atribute_ord)

# transforming tree 
tree_p <- newick2phylog(write.tree(tree))


# Calculating dissimilarity
atribute_dist <- dist.binary(atribute_ord , method = 2, upper = F, diag = F)

results.r <- rtest.decdiv(tree_p, rep(1, nrow(atribute_ord)),
                          atribute_dist, nrep = 999)

plot.decdiv(tree_p, vnodes = decdiv(tree_p, rep(1, nrow(atribute_ord)), atribute_dist)[,1], 
            clabel.leaves = 0.7)


